%global  desktop_vendor fedora
%global prerel pre1

Name:  phasex
Version: 0.12.0
Release: 0.2.%{prerel}%{?dist}
Summary: PHASEX -- Phase Harmonic Advanced Synthesis EXperiment
Group:  Applications/Multimedia
License: GPLv2
URL:  http://sysex.net/phasex/

Source0: http://sysex.net/phasex/%{name}-%{version}-%{prerel}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires: glibc-devel >= 2.3.0
BuildRequires: alsa-lib-devel >= 0.9.0
BuildRequires: jack-audio-connection-kit-devel >= 0.99.0
BuildRequires: libICE-devel
BuildRequires: libsamplerate-devel >= 0.1.2
BuildRequires: gtk2-devel >= 2.4.0
BuildRequires: perl
BuildRequires: desktop-file-utils
Requires: glibc >= 2.3.0
Requires: alsa-lib >= 0.9.0
Requires: jack-audio-connection-kit >= 0.99.0
Requires: gtk2 >= 2.4.0

%description
PHASEX is an experimental JACK audio / ALSA MIDI softsynth for Linux
with a synth engine built around flexible phase modulation and
flexible oscillator/LFO sourcing.  Modulations include AM, FM, offset
PM, and wave select.  PHASEX comes equipped with a 12db/octave filter
with two distortion curves, a stereo crossover delay and chorus with
phaser, ADSR envelopes for amplifier and filter, realtime audio input
processing capabilities, and more.

%prep
%setup -q

# Upstream is notified via email for these two issues
# Fix optflags
sed -i -e 's|-O3.*"|%{optflags}"|' -e 's|-mtune=generic||' configure

# Fix DSO linking
sed -i -e 's|\(-lpthread\)|\1 -lX11|' configure

%build
%configure \
%ifarch %ix86 x86_64
    --enable-arch=%{_target_cpu}
%endif

make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

for s in 16 22 32 48 ; do
    %{__mkdir} -p %{buildroot}%{_datadir}/icons/hicolor/${s}x${s}/apps
    %{__cp} %{buildroot}%{_datadir}/phasex/pixmaps/phasex-icon-${s}x${s}.png \
            %{buildroot}%{_datadir}/icons/hicolor/${s}x${s}/apps/phasex-icon.png
done

BASE="AudioVideo Audio"
XTRA="X-MIDI X-Digital_Processing X-Jack X-Synthesis Midi"

%{__mkdir} -p %{buildroot}%{_datadir}/applications
desktop-file-install --vendor %{desktop_vendor} \
  --dir %{buildroot}%{_datadir}/applications \
  `for c in ${BASE} ${XTRA} ; do echo "--add-category $c " ; done` \
  $RPM_BUILD_ROOT%{_datadir}/phasex/%{name}.desktop

rm $RPM_BUILD_ROOT%{_datadir}/phasex/phasex.desktop

%post
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
if [ $1 -eq 0 ] ; then
    touch --no-create %{_datadir}/icons/hicolor &>/dev/null
    gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README COPYING
%{_bindir}/phasex
%{_datadir}/phasex/
%{_datadir}/themes/*
%{_datadir}/applications/%{desktop_vendor}-phasex.desktop
%{_datadir}/icons/hicolor/*/apps/phasex-icon.png

%changelog
* Sun Feb 14 2010 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.12.0-0.2.pre1
- Update to 0.12.0pre1
- Fix DSO linking error RHBZ#564951

* Wed Sep 23 2009 Orcan Ogetbil <oget[DOT]fedora[AT]gmail[DOT]com> - 0.12.0-0.1.beta4
- Fix optflags (RHBZ#499914)
- Update to 0.12.0beta4 (fixes segfault)
- Update desktop file according to F-12 FedoraStudio feature
- Update scriptlets

* Sun Jul 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.1-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild

* Sat May  9 2009 Ville Skyttä <ville.skytta at iki.fi> - 0.11.1-7
- Build with $RPM_OPT_FLAGS (#499914).
- Disable autotools dependency tracking during build for cleaner build logs
  and possible slight build speedup.

* Thu Feb 26 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.1-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild

* Mon Feb 18 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.11.1-5
- Autorebuild for GCC 4.3

* Mon Oct 22 2007 Anthony Green <green@redhat.com> - 0.11.1-4
- Fix tagging problem.

* Thu Oct 18 2007 Parag AN <panemade@gmail.com> - 0.11.1-3
- Really delete extra .desktop file after installation.

* Tue Oct 16 2007 Anthony Green <green@redhat.com> - 0.11.1-2
- Delete extra .desktop file after installation.
- Clean up .desktop file categories.

* Tue Oct 16 2007 Anthony Green <green@redhat.com> - 0.11.1-1
- First Fedora build.

* Tue Aug  7 2007 William Weston <weston@sysex.net> - 0.11.0-0
- Updated for 0.11.0.

* Thu May 24 2007 William Weston <weston@sysex.net> - 0.10.3-0
- Updated for 0.10.3.

* Tue May 15 2007 William Weston <weston@sysex.net> - 0.10.2-0
- Updated for 0.10.2.

* Thu May  3 2007 William Weston <weston@sysex.net> - 0.10.1-0
- Added README and COPYING to doc install.
- Updated for 0.10.1.

* Tue May  1 2007 William Weston <weston@sysex.net> - 0.10.0-0
- Initial RPM spec file.
